import { HttpStatusCode } from '../const/validation.const';
import { Endpoint, EndpointParameter } from '../types/endpoint';
import { OperationObject } from '../types/openapi';
import { ValidationError, ValidationErrorType } from '../types/validation';
export declare function getInvalidSchemaError(message: string): ValidationError;
export declare function getInvalidOperationIdError(operationId: string): ValidationError;
export declare function getMissingPathParameterError(params: EndpointParameter[], path: string): ValidationError;
export declare function getNotAllowedInlineEnumError(enumProperty: string): ValidationError;
export declare function getNotAllowedCircularSchemaError(message: string): ValidationError;
export declare function getMissingAclConditionPropertyError(propertyName: string, operation: OperationObject, endpoint: Endpoint): ValidationError;
export declare function getMissingStatusCodeError(statusCode: HttpStatusCode, operation: OperationObject, endpoint: Endpoint): ValidationError;
export declare function getInvalidStatusCodeError(statusCode: {
    expected: HttpStatusCode;
    received: HttpStatusCode;
}, operation: OperationObject, endpoint: Endpoint): ValidationError;
export declare function getMultipleSuccessStatusCodesError(statusCodes: HttpStatusCode[], operation: OperationObject, endpoint: Endpoint): ValidationError;
export declare function groupByType(validationErrors: ValidationError[]): Record<ValidationErrorType, string[]>;
